@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');
:root{
    --color-1:#0072bc;
    --color-2:#fff;
    --color-3:#1e2022;
    --color-4:#fff;


    --color-text:#505050;
    --body-bg:#eff1f6;
    --color-border: #e6e6ea;
    /*
    --color-2:#110718;
    --color-4: #3e044d;
    --color-3: #6e0663;/*hsl(164.06deg 38.55% 32.55%); /* <-- color main

    /*--color-2: #4696d0;
    --color-3: #6955c9;

    --color-5:#f5f0e9;
    
    --color-text-hover:#818181;
    */
}

html.dark-mode:root{
    --color-1:#0072bc;
    --color-2:#1e2022;
    --color-3:#fff;
    --color-4:#050505;
    --body-bg:#1e2022;
}

html {
  -webkit-font-smoothing: antialiased;
}
body{
    /*color: var(--color-text);
    background: var(--color-bg);*/
    background-color: var(--body-bg, #fff);
    font-family: "Roboto", serif;
    font-variation-settings:"wdth" 100;
}
.fw-exbolder{
    font-weight: 900 !important;
}
/*h1,h2,h3,h4,h5,h6{font-weight: 700;}*/
form label:not(.list-group-item) {
    margin-bottom: 0.5rem;
    font-weight: bold;
}
select[readonly="true"] {
    pointer-events: none;
}
#VersionText {
    position: fixed;
    right: 0;
    bottom: 0;
    padding: .5rem;
    font-size: xx-small;
    color: #6c757d;
    z-index: -1;
}
form{
    transition: opacity .5s ease-in-out;
}
.form_sending{
    pointer-events: none;
    cursor: not-allowed;
    opacity: .5;
}
.form-control:focus{
    box-shadow: 0 0 9px var(--color-1);
}
.togglePassword {
    position: relative;
}
.togglePassword input {
    padding-right: 75px;
}
.togglePassword-handlr {
    position: absolute;
    top: 8px;
    right: 10px;
    cursor: pointer;
    z-index: 1;
    color: #6c757d;
}
.togglePassword.tpShow .togglePassword-handlr{
    color: #198754;
    font-weight: bold;
}
.languajeSwitch {
    max-width: 100px;
    padding: 1rem;
    text-align: center;
}
/* TOASTY */
.toasty-wrap{
    z-index: 2000;
    position: fixed;
    bottom: 30px;
    right: 30px;
    width: 400px;
}
.tp-com-toasty {
    width: 100%;
    opacity: 0.5;
    border-radius: 10px;
    padding: 1rem;
    color: #fff;
    font-weight: 400;
    transition: all .5s ease-in-out;
    transform: translateX(200%);
    margin-bottom: .5rem;
}
.tp-com-toasty.toasty-open {
    transform: translateX(0);
    opacity: 1;
}
.page-signin{
    background-color: var(--color-4);
}
.light-mode .page-signin{
    background-color: var(--body-bg, #fff);
}/*
.external-screen-bg-a{
    background-color: var(--color-4);
}
.light-mode .external-screen-bg-a{
    background-color: initial;
}*/
.external-screen-bg-b {
    background: rgb(255,255,255);
    background: linear-gradient(90deg, rgba(237,28,37,1) 0%, rgba(237,94,94,1) 100%);
}
.head-logo{
    height: 50px;
}
#openSidebarMenu:checked ~ #sidebarMenu,
#openSidebarMenu:checked ~ #sidebar-app {
    transform: translateX(0);
}
#openSidebarMenu {
    transition: all 0.3s;
    box-sizing: border-box;
    display: none;
}
.sidebarIconToggle {
    transition: all 0.3s;
    box-sizing: border-box;
    cursor: pointer;
    position: relative;
    z-index: 199;
    height: 100%;
    width: 100%;
    top: 5px;
    left: 0px;
    height: 22px;
    width: 22px;
    display: none;
}
.spinner {
    transition: all 0.3s;
    box-sizing: border-box;
    position: absolute;
    height: 3px;
    width: 100%;
    background-color: #fff;
}
.horizontal {
    transition: all 0.3s;
    box-sizing: border-box;
    position: relative;
    float: left;
    margin-top: 3px;
}
.diagonal.part-1 {
    position: relative;
    transition: all 0.3s;
    box-sizing: border-box;
    float: left;
}
.diagonal.part-2 {
    transition: all 0.3s;
    box-sizing: border-box;
    position: relative;
    float: left;
    margin-top: 3px;
}
#openSidebarMenu:checked ~ .sidebarIconToggle > .horizontal {
    transition: all 0.3s;
    box-sizing: border-box;
    opacity: 0;
}
#openSidebarMenu:checked ~ .sidebarIconToggle > .diagonal.part-1 {
    transition: all 0.3s;
    box-sizing: border-box;
    transform: rotate(135deg);
    margin-top: 8px;
}
#openSidebarMenu:checked ~ .sidebarIconToggle > .diagonal.part-2 {
    transition: all 0.3s;
    box-sizing: border-box;
    transform: rotate(-135deg);
    margin-top: -9px;
}
.header {
    padding-top: 65px;
}
.header .navbar{
    background: var(--color-4);
}
.header .navbar a{
    color: var(--color-3);
    max-width: 185px;
}
a.link-profile{
    background-color: var(--color-1);
    color: #fff !important;
    line-height: 66px;
    padding: 0 20px;
    text-decoration: none;
    transition: all .3s ease-in-out;
}
a.link-profile:hover{
    background-color: #fff;
    color: var(--color-1) !important;
}
a.btn:hover{
    color:var(--color-1);
}
a.btn.active{
    background-color: var(--color-1);
    color: #fff;
}
.list-group-item.active{
    background-color: var(--color-1);
    border-color: var(--color-1);
}
/*
.header .navbar-brand img {
    height: 50px;
}*/
.header .navbar .btn-main-menu{
    line-height: 64px;
    padding: 0 20px;
    border-radius: initial;
}
.dark-mode .v-light {display: none}
.dark-mode .v-dark {display: block;}
.light-mode .v-light {display: block;}
.light-mode .v-dark {display: none;}
/*
.mega-menu-holder {
    overflow: hidden;
    background: var(--body-bg);
    position: fixed;
    width: 100%;
    z-index: 100;
    max-height: calc(100vh - 66px);
    overflow-y: scroll;
}
.mega-holder-overflow {
    overflow: hidden;
}
.mega-holder-dark {
    content: "";
    display: block;
    background: rgba(0,0,0,.5);
    width: 100%;
    height: 100%;
    z-index: 1;
    position: fixed;
    top: 0;
    cursor: pointer;
    display: none;
}
.mega-holder-overflow .mega-holder-dark{

}*/
.offcanvas {
    background: var(--color-2);
    border: initial !important;
}
.box {
    background: var(--color-2);
}
.dash-side-a {
    background: rgba(0, 0, 0, 0.5);
}
/* Bootstrap override */
.form-check-input:checked {
    background-color: var(--color-1);
    border-color: var(--color-1);
}
.btn-primary {
    color: #fff;
    background-color: var(--color-1);
    border-color: var(--color-1);
}
.btn-primary:hover, .btn-primary:focus {
    color: var(--color-1);
    background-color: var(--color-3);
    border-color: var(--color-3);
}
#sidebar-app{
    display: flex;
    flex-direction: column;
    z-index: 101;
    background: #fff;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    overflow: visible;
    border-right-width: 1px;
    border-right-style: solid;
    border-right-color: var(--color-border);
    transition: all 0.2s linear 0s;
    width: 280px;
    min-width: 280px;
}
.bg-asemhs{
    background-color: var(--color-1);
}
.side-head {
    background: var(--color-1);
    height: 130px;
    margin-bottom: 90px;
}
.main-menu .active, .main-menu .nav-link:hover {
    color: #fff !important;
    background: var(--color-1);
}
.side-head-profile-image {
    display: block;
    width: 150px;
    margin: 0 auto;
}
#sidebarMenuAdmin .active {
    background: var(--color-1);
    color: #fff !important;
}
.app-container {
    align-items: center;
    display: flex;
    flex-direction: column;
    height: 100%;
    overflow-x: hidden;
    overflow-y: scroll;
    width: 100%;
    padding-left: 280px;
}

#area text,#donut text {
    font-family: 'Noto Sans', sans-serif !important;
}
.dataTables_filter input {
    width: 23rem !important;
}
.dark-mode .selectize-input{
    background: var(--bs-body-bg);
    color: var(--bs-body-color);
    border: var(--bs-border-width) solid var(--bs-border-color);
}
.text-bg-primary {
    color: #fff !important;
    background-color: var(--color-1) !important;
}
@media (max-width: 992px){
    .mobile-noborder .border-start {border:initial !important;}
    .header .navbar a {
        max-width: 110px;
    }
    .sidebarIconToggle {
        display: inline-block;
    }
    #sidebar-app{
       display: flex;
       flex-direction: column;
       z-index: 101;
       background: #fff;
       height: 100%;
       position: fixed;
       top: 0;
       left: 0;
       overflow: visible;
       border-right-width: 1px;
       border-right-style: solid;
       border-right-color: var(--color-border);
       transition: all 0.2s linear 0s;
       width: 280px;
       min-width: 280px;
    }
    #sidebar-app{transform: translateX(-100%);}
    #sidebar-app .nav li:not(.last-elm) {
        display: block;
        width: 100%;
    }
    #sidebar-app .nav li a {
        color: #000 !important;
    }
    .toasty-wrap{width: 98%;right: 1%;}
}